Get
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.SessionSettings.Get(ctx)
if err != nil {
log.Fatal(err)
}
if res.GetSessionSettingsResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.sessionSettings.get();
console.log(result);
}
run();curl --request GET \
--url https://{tenantDomain}.conductor.one/api/v1/settings/session \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/settings/session"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}.conductor.one/api/v1/settings/session', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sessionSettings": {
"clientIdApprovalRequestPolicyId": "<string>",
"connectorSource": {
"enabled": true,
"sourceCidr": [
"<string>"
]
},
"externalClientSource": {
"enabled": true,
"sourceCidr": [
"<string>"
]
},
"externalClientsEnabled": true,
"maxSessionLength": "<string>",
"pccAdminSource": {
"enabled": true,
"sourceCidr": [
"<string>"
]
},
"pccUserSource": {
"enabled": true,
"sourceCidr": [
"<string>"
]
},
"ssoAdminSource": {
"enabled": true,
"sourceCidr": [
"<string>"
]
},
"ssoUserSource": {
"enabled": true,
"sourceCidr": [
"<string>"
]
}
}
}Session Settings
Get
Get retrieves the current session security settings for the tenant.
GET
/
api
/
v1
/
settings
/
session
Get
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.SessionSettings.Get(ctx)
if err != nil {
log.Fatal(err)
}
if res.GetSessionSettingsResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.sessionSettings.get();
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Response
200 - application/json
Successful response
The GetSessionSettingsResponse message.
SessionSettings configures session security for the tenant, including timeouts and per-role IP restrictions.
Show child attributes
Show child attributes
Was this page helpful?
⌘I